<template>
  <div>
      <button @click="abrirModal =!abrirModal" >holo</button>
      <dialog-modal :show="abrirModal" @close="abrirModal = false">
          <jet-validation-errors class="mb-4"/>
      <template #title>
          Ingresar
      </template>
      <template #content>
          <div>
          <jet-validation-errors />
          <form @submit.prevent="handleboton">
              <input ref="search" type="text" placeholder="Usuario" v-model="form.username" required autofocus
              class="w-full pl-2 mt-1 focus:ring-orance-500 shadow-sm sm:text-sm border border-gray-400 rounded-md focus:outline-none">
              <input type="password" placeholder="Clave" v-model="form.password" required
              class="w-full pl-2 mt-2 focus:ring-indigo-500 shadow-sm sm:text-sm border border-gray-400 rounded-md focus:outline-none"
              >
              <div class="flex justify-end mt-6">
                  <jet-button class="mr-3 bg-blue-400 hover:bg-blue-300"
                  @click="handleboton">
                      Entrar
                  </jet-button>

                  <jet-button class="bg-red-400 hover:bg-red-300"
                  @click.native="abrirModal = false"
                  type="button">
                      Cancelar
                  </jet-button>
              </div>
          </form>
          </div>
          </template>
      </dialog-modal>
  <!-- Mostrar Modal -->
      <portal-target name="modal" multiple></portal-target>
      <div>
          <jet-validation-errors />
        
      </div>
      <div>
        {{$page.props.user.id}}
        {{$page.props.user.username}}
      </div>
  </div>
</template>

<script>
import DialogModal from '@/Jetstream/DialogModal'
import JetButton from '@/Jetstream/Button'
import JetValidationErrors from '@/Jetstream/ValidationErrors'
export default {
    components: {
        DialogModal,
        JetButton,
        JetValidationErrors,
    },
    props: {
      medico: Array
    },
    data() {
        return{
        abrirModal: false,
        form: this.$inertia.form({
            username: '',
            password: '',
        }),
        }
    },
    methods: {
        mostrar() {
            this.abrirModal= !abrirModal
            if(!abrirModal){
                this.form.error=''
            }
        },
        handleboton(){
            this.form
                .post(this.route('login'));
        },
        botonLogin(){
            this.form
                .post(this.route('login'));
        },
        cerrarModal(){
            this.form.error=''
        }
    },
    created() {
      console.log(this.medico)
    }
}
</script>

<style>

</style>